---
title: RTCStats.id
slug: Web/API/RTCStats/id
tags:
  - API
  - Property
  - RTCStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - id
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>id</code></strong> property of the {{domxref("RTCStats")}} dictionary is a string which uniquely identifies the object for which this <code>RTCStats</code> object provides statistics.</span> Using the <code>id</code>, you can correlate two or more <code>RTCStats</code>-based objects in order to monitor statistics over time for a given WebRTC object, such as an {{Glossary("RTP")}} stream, an {{domxref("RTCPeerConnection")}}, or an {{domxref("RTCDataChannel")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>id</em> = <em>RTCStats</em>.id;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which uniquely identifies the object for which this <code>RTCStats</code>-based object provides statistics.</p>

<p>The format of the ID string is not defined by the specification, so you cannot reliably make any assumptions about the contents of the string, or assume that the format of the string will remain unchanged for a given object type.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcstats-id', 'RTCStats.id')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCStats.id")}}</p>
